This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
34582
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
SREZIC [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
(no value)
Fixed in:
(no value)



Subject: CPAN::PERL5INC does not work with configure_requires
(This is with 1.92_60) It seems that the CPAN::PERL5INC feature does not work with configure_requires. See the attached log of a Glib build (best viewed with less -R). Note that I explicitely set threshold_perl5lib_upto to zero to force usage of CPAN::PERL5INC. With the default value of threashold_perl5lib_upto the build works ok, at least there are no CPAN.pm-related problems. Regards, Slaven
Subject: Glib.log
Script started on Mon Mar 31 21:36:30 2008 CPAN: Term::ANSIColor loaded ok (v1.12)  cpan shell -- CPAN exploration and modules installation (v1.9260) ReadLine support enabled  cpan> o conf threshold_perl5lib_upto 0  threshold_perl5lib_upto [0] Please use 'o conf commit' to make the config permanent!   cpan> o conf threshold_perl5lib_upto 0 cpan> o conf  cpan> test ExtUtils::Depends cpan> test Glib  CPAN: Storable loaded ok (v2.18) Going to read /usr/local/src/CPAN/Metadata  Database was generated on Mon, 31 Mar 2008 18:30:58 GMT Running test for module 'Glib' CPAN: YAML::Syck loaded ok (v0.99) CPAN: CPAN::Kwalify loaded ok (v5.50) Running make for T/TS/TSCH/Glib-1.182.tar.gz CPAN: Digest::SHA loaded ok (v5.45) CPAN: Compress::Zlib loaded ok (v2.008) Checksum for /usr/local/src/CPAN/sources/authors/id/T/TS/TSCH/Glib-1.182.tar.gz ok x Glib-1.182/ x Glib-1.182/xsapi.pod.foot x Glib-1.182/gperl.h x Glib-1.182/MANIFEST x Glib-1.182/typemap x Glib-1.182/TODO x Glib-1.182/Glib.pm x Glib-1.182/CodeGen.pm x Glib-1.182/t/ x Glib-1.182/t/tied_definedness.t x Glib-1.182/t/1.t x Glib-1.182/t/signal_emission_hooks.t x Glib-1.182/t/h.t x Glib-1.182/t/64bit.t x Glib-1.182/t/4.t x Glib-1.182/t/9.t x Glib-1.182/t/5.t x Glib-1.182/t/3.t x Glib-1.182/t/d.t x Glib-1.182/t/make_helper.t x Glib-1.182/t/filename.t x Glib-1.182/t/7.t x Glib-1.182/t/b.t x Glib-1.182/t/6.t x Glib-1.182/t/8.t x Glib-1.182/t/c.t x Glib-1.182/t/f.t x Glib-1.182/t/e.t x Glib-1.182/t/a.t x Glib-1.182/t/signal_query.t x Glib-1.182/t/g.t x Glib-1.182/t/2.t x Glib-1.182/devel.pod x Glib-1.182/doctypes x Glib-1.182/GParamSpec.xs x Glib-1.182/GError.xs x Glib-1.182/GBoxed.xs x Glib-1.182/GObject.xs x Glib-1.182/gperl-private.h x Glib-1.182/Glib.xs x Glib-1.182/Subclass.pm x Glib-1.182/GType.xs x Glib-1.182/copyright.pod x Glib-1.182/GLog.xs x Glib-1.182/gperl_marshal.h x Glib-1.182/ParseXSDoc.pm x Glib-1.182/MakeHelper.pm x Glib-1.182/perl-Glib.spec.in x Glib-1.182/AUTHORS x Glib-1.182/README x Glib-1.182/LICENSE x Glib-1.182/GIOChannel.xs x Glib-1.182/GKeyFile.xs x Glib-1.182/GUtils.xs x Glib-1.182/GValue.xs x Glib-1.182/GenPod.pm x Glib-1.182/gperl-gtypes.h x Glib-1.182/GSignal.xs x Glib-1.182/ChangeLog x Glib-1.182/GClosure.xs x Glib-1.182/GBookmarkFile.xs x Glib-1.182/NEWS x Glib-1.182/apidoc.pl x Glib-1.182/xsapi.pod.head x Glib-1.182/GMainLoop.xs x Glib-1.182/MANIFEST.SKIP x Glib-1.182/gperl-gtypes.c x Glib-1.182/Glib.exports x Glib-1.182/Makefile.PL x Glib-1.182/META.yml CPAN: File::Temp loaded ok (v0.18) ---- Unsatisfied dependencies detected during ---- ---- TSCH/Glib-1.182.tar.gz ---- ExtUtils::Depends [build_requires] Running make test  Make had some problems, won't test Delayed until after prerequisites Running test for module 'ExtUtils::Depends' Running make for T/TS/TSCH/ExtUtils-Depends-0.300.tar.gz Checksum for /usr/local/src/CPAN/sources/authors/id/T/TS/TSCH/ExtUtils-Depends-0.300.tar.gz ok x ExtUtils-Depends-0.300/ x ExtUtils-Depends-0.300/t/ x ExtUtils-Depends-0.300/t/02_save_load.t x ExtUtils-Depends-0.300/t/01_load.t x ExtUtils-Depends-0.300/t/inc/ x ExtUtils-Depends-0.300/t/inc/DepTest/ x ExtUtils-Depends-0.300/t/inc/DepTest/libDepTest.dll.a x ExtUtils-Depends-0.300/t/inc/DepTest/Install/ x ExtUtils-Depends-0.300/t/inc/DepTest/Install/.keep x ExtUtils-Depends-0.300/t/inc/DepTest/DepTest.lib x ExtUtils-Depends-0.300/t/04_extra_libs.t x ExtUtils-Depends-0.300/t/03_deps.t x ExtUtils-Depends-0.300/META.yml x ExtUtils-Depends-0.300/Changes x ExtUtils-Depends-0.300/.cvsignore x ExtUtils-Depends-0.300/MANIFEST x ExtUtils-Depends-0.300/lib/ x ExtUtils-Depends-0.300/lib/ExtUtils/ x ExtUtils-Depends-0.300/lib/ExtUtils/Depends.pm x ExtUtils-Depends-0.300/perl-ExtUtils-Depends.spec.in x ExtUtils-Depends-0.300/Makefile.PL x ExtUtils-Depends-0.300/README  CPAN.pm: Going to build T/TS/TSCH/ExtUtils-Depends-0.300.tar.gz CPAN: CPAN::Reporter loaded ok (v1.13) Checking if your kit is complete... Looks good Writing Makefile for ExtUtils::Depends (/usr/perl5.10.0/bin/perl Makefile.PL exited with 0) CPAN::Reporter: Makefile.PL result is 'pass', No errors. cp lib/ExtUtils/Depends.pm blib/lib/ExtUtils/Depends.pm Manifying blib/man3/ExtUtils::Depends.3 (/usr/bin/make exited with 0) CPAN::Reporter: make result is 'pass', No errors.  TSCH/ExtUtils-Depends-0.300.tar.gz  /usr/bin/make -- OK Running make test PERL_DL_NONLAZY=1 /usr/perl5.10.0/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/01_load..........ok t/02_save_load.....ok t/03_deps..........ok t/04_extra_libs....skipped all skipped: test only applicable to MSWin32 and cygwin All tests successful, 1 test skipped. Files=4, Tests=27, 0 wallclock secs ( 0.20 cusr + 0.05 csys = 0.24 CPU) (/usr/bin/make test exited with 0) CPAN::Reporter: Test result is 'pass', All tests successful. CPAN::Reporter: preparing a CPAN Testers report for ExtUtils-Depends-0.300  CPAN::Reporter: this appears to be a duplicate report for the test phase: PASS ExtUtils-Depends-0.300 i386-freebsd 6.1-release Test report will not be sent.  TSCH/ExtUtils-Depends-0.300.tar.gz  /usr/bin/make test -- OK Running make for T/TS/TSCH/Glib-1.182.tar.gz Delegating blib/arch and blib/lib of 1 build dirs to CPAN::PERL5INC via /tmp/cpan_perl5inc_tAQ9.txt; for 'get' Delegating blib/arch and blib/lib of 1 build dirs to CPAN::PERL5INC via /tmp/cpan_perl5inc_tAQ9.txt; for 'make'  CPAN.pm: Going to build T/TS/TSCH/Glib-1.182.tar.gz ExtUtils::Depends version 0.300 is required--this is only version 0.205 at /usr/perl5.10.0/lib/site_perl/5.10.0/ExtUtils/Depends.pm line 18. BEGIN failed--compilation aborted at (eval 4) line 1. MakeMaker FATAL: prerequisites not found. ExtUtils::Depends 0.300 Please install these modules first and rerun 'perl Makefile.PL'. Checking if your kit is complete... Looks good (/usr/perl5.10.0/bin/perl Makefile.PL exited with 65280) CPAN::Reporter: Makefile.PL result is 'fail', Stopped with an error. CPAN::Reporter: preparing a CPAN Testers report for Glib-1.182 Test::Reporter: debug Test::Reporter: transport Test::Reporter: debug Test::Reporter: from Test::Reporter: debug Test::Reporter: mx Test::Reporter: comments Test::Reporter: via Do you want to CC the module author (TSCH@cpan.org)? (yes/no) [yes] ^CCaught SIGINT, trying to continue ^CGot another SIGINT  cpan> Warning: Configuration not saved. Lockfile removed. Script done on Mon Mar 31 21:37:37 2008
I could never reproduce this. Can you with current 1.92_61 or later?
I have the impression that the CPAN::PERL5INC feature will not be used anymore, so closing this ticket.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.